Subject: Re: [3gv6] Stateless Prefix Delegation I-D updated (draft-savolainen-stateless-pd)

From: Rémi Després <[email-masked]>
Date: Tue, 2 Mar 2010 18:38:57 +0100

Hi Teemu,

As we discussed privately, the need you identify deserves IMHO a solution.

I didn't succeed to cover it in the new draft on SAM, posted close to the limit for draft-00 limit yesterday, but it seems to me this can be done, with the advantage of a more generic mechanism.

Where SAM interior locators are so far only IPv4, IPv6, and IPv4+port, some layer-2 locators could be added.
Then, encapsulation would naturally be directly over layer-2 headers, not IP over IP.

This is a possibility which I would be interested in discussing with you, in Anaheim in particular, if you are interested.

Best regards,
RD

Le 26 févr. 2010 à 12:48, <[email-masked]> <[email-masked]> a écrit :

> Hi,
> 
> We have updated the Stateless IPv6 Prefix Delegation draft with the following significant changes (in addition to various minor changes):
> 
> * Describing better that GTP TEID or GRE Key or similar could be used to construct the delegated prefix 
> 
> * Describing address space waste mitigation ways: dedicated APN (in 3GPP), and emphasizing need to optimize the size of the delegated prefixes
> 
> * Aggregating prefixes so that the /64 of the WAN interface (e.g. used for PDP context) is now part of the shorter-than-/64 prefix allocated to a node. I.e. a node may be allocated, for example, a single /60, of which one /64 is taken for WAN link by the gateway, leaving the rest for the node to use for downstream advertisement/delegation purposes
> 
> * Added a note that while possible, it may not be feasible, to delegate prefixes from different subnets (possible if one configures multiple ISP prefixes, but that would increase address space consumption even more)
> 
> ------
> http://www.ietf.org/id/draft-savolainen-stateless-pd-01.txt
> 
> Abstract:
> This document describes an automatic and stateless IPv6 prefix delegation solution for IPv6-only and dual-stack access networks.
> The solution builds on automatic delegation mechanism defined by 6RD, but is suitable for IPv6-only networks, including those that have not deployed stateful DHCPv6.  The described stateless approach essentially exchanges the complexity of the stateful prefix delegation to increased consumption of IPv6 address space and less flexible properties.
> ------                                                                            
> 
> All comments are welcome.
> 
> Best regards,
> 
> Teemu
>